C=--===MAIN PROGRAM ------------------
C----- smeared level
C-------------------------------
       INTEGER  M,NN
       REAL*8 DEL,H,OMI(100),OMF(100), 
     *     OM0(1000),F(1000)

       NAMELIST/SLEVEL/ M,H,DEL,OM0,F,NN,OMI,OMF

      OPEN(5,FILE='SYS$INPU',STATUS='OLD')
      READ(5,SLEVEL)
      OPEN(6,FILE='SYS$OUTP',STATUS='NEW')

      CALL LEVEL(M,H,DEL,NN,OMI,OMF,OM0,F)
      STOP
      END
